%global srcname defcon
%global sum A set of flexible objects for representing UFO data

Name:           python-%{srcname}
Version:        0.2.5
Release:        1%{?dist}
Summary:        %{sum}

License:        MIT
URL:            https://pypi.python.org/pypi/%{srcname}
Source0:        https://github.com/typesupply/%{srcname}/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

%description
Defcon is a set of UFO based objects optimized for use in font editing
applications.

Defcon implements UFO3 as described by the UFO font format. If needed, the
ufo2-deprecated branch has the older, UFO2, version of Defcon.

%package -n python2-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python2-%{srcname}}

BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python2-pytest
BuildRequires:  python2-pytest-runner
BuildRequires:  python2-fonttools
BuildRequires:  python2-ufoLib
Requires: python2-fonttools
Requires: python2-ufoLib

%description -n python2-%{srcname}
Defcon is a set of UFO based objects optimized for use in font editing
applications.

Defcon implements UFO3 as described by the UFO font format. If needed, the
ufo2-deprecated branch has the older, UFO2, version of Defcon.

%package -n python3-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python3-%{srcname}}

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-runner
BuildRequires:  python3-fonttools
BuildRequires:  python3-ufoLib
Requires: python3-fonttools
Requires: python3-ufoLib

%description -n python3-%{srcname}
Defcon is a set of UFO based objects optimized for use in font editing
applications.

Defcon implements UFO3 as described by the UFO font format. If needed, the
ufo2-deprecated branch has the older, UFO2, version of Defcon.


%prep
%autosetup -n %{srcname}-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
%{__python2} setup.py test
%{__python3} setup.py test

%files -n python2-%{srcname}
%license License.txt
%doc README.rst
%{python2_sitelib}/%{srcname}-*.egg-info
%{python2_sitelib}/%{srcname}

%files -n python3-%{srcname}
%license License.txt
%doc README.rst
%{python3_sitelib}/%{srcname}-*.egg-info
%{python3_sitelib}/%{srcname}

%changelog
* Sat Mar 18 2017 Athos Ribeiro <athoscr@fedoraproject.org> - 0.2.5-1
- Initial package
